Ground = Class{}

function Ground:init(x, y, sprite)
	self.x = x
	self.y = y

	self.sprite = sprite

	self.width = sprite:getWidth()
	self.height = sprite:getHeight()

	self:updateBounds()

end

function Ground:updateBounds()
	self.bounds = {
		top = self.y,
		right = self.x + self.width - 1,
		bottom = self.y + self.height - 1,
		left = self.x
	}
end

function Ground:render()
	love.graphics.setColor(255, 255, 255, 255)
	love.graphics.draw(self.sprite, self.x, self.y)
	love.graphics.setColor(0, 255, 0, 255)
	--love.graphics.circle('line', self.circleBounds.center.x, self.circleBounds.center.y, self.circleBounds.radius)
	--love.graphics.rectangle('line', self.bounds.left, self.bounds.top, self.width, self.height)
end