StateMachine = Class{}

function StateMachine:init(states)
	local empty = {
		exit = function() end
	}

	self.states = states
	self.current = empty
end

function StateMachine:change(state, entryParams)
	self.current:exit()
	self.current = self.states[state]()
	self.current:enter(entryParams)
end

function StateMachine:update(dt)
	self.current:update(dt)
end

function StateMachine:render()
	self.current = render()
end