Spike = Class{}

function Spike:init(x, y, sprite)
	self.sprite = sprite

	self.width = sprite:getWidth()
	self.height = sprite:getHeight()

	self.x = x
	self.y = y

	self.center = {
		x = self.x + self.width / 2,
		y = self.y + self.height / 2
	}

	self.bounds = {
		top = {x = self.center.x, y = self.y},
		left = {x = self.x, y = self.y + self.height - 1},
		right = {x = self.x + self.width - 1, y = self.y + self.height - 1}
	}
end

function Spike:render()
	love.graphics.setColor(255, 255, 255, 255)
	love.graphics.draw(self.sprite, self.x, self.y)
	-- love.graphics.setColor(0, 255, 0, 255)
	-- love.graphics.polygon(	'line', self.bounds.top.x, self.bounds.top.y,
									-- self.bounds.left.x, self.bounds.left.y,
									-- self.bounds.right.x, self.bounds.right.y)
end