push = require 'lib/push'

Class = require 'lib/class'

require 'src/Utilities'
require 'src/collision_handling'

require 'src/Player'
require 'src/Spike'
require 'src/Ground'

require 'src/level_editor/Brush'

require 'src/StateMachine'
require 'src/states/BaseState'
require 'src/states/StartState'
require 'src/states/LevelEditorState'
require 'src/states/PlayState'
require 'src/states/TestState'

love.graphics.setDefaultFilter('nearest')
gSprites = {
	['player'] = love.graphics.newImage('graphics/player.png'),
	['spike32x32'] = love.graphics.newImage('graphics/spike32x32.png'),
	['spike64x64'] = love.graphics.newImage('graphics/spike64x64.png'),
	['ground'] = love.graphics.newImage('graphics/ground.png'),
	['background'] = love.graphics.newImage('graphics/background.png')
}

gFonts = {
	['default'] = love.graphics.getFont(),
	['default-medium'] = love.graphics.newFont(24),
	['default-large'] = love.graphics.newFont(36),
	['title'] = love.graphics.newFont('fonts/speed+.ttf', 72)
}